Subject: bug#78944: 31.0.50; Minibuffer completion

From: Dani Moncayo <[email-masked]>
Date: Wed, 23 Jul 2025 17:36:49 +0200

On Wed, Jul 23, 2025 at 3:45 PM Stefan Monnier <[email-masked]> wrote:
>
> >> Maybe the patch below?  It doesn't actually fix the problem, but with
> >> Dani's recipe it adds a message
> >>
> >>     Switched from style ‘partial-completion’ back to ‘basic’
> >>
> >> at the end of the minibuffer, to try and explain what's going on.
> >
> > Thanks. I've just tested your patch, and... I'm sorry to say that I
> > don't like the new behavior.
>
> No need to be sorry about it.
>
> > I see that the message (Switched from style ‘partial-completion’ back
> > to ‘basic’) appears just after I type the second TAB.  That gives the
> > user the impression that something (switching back) happened at that
> > moment (when I typed the second TAB).
> >
> > But IIUC, the style switching (forth and back) all took place when I
> > typed the _first_ TAB.  So, I think that, if the user must see some
> > message, it should be at that moment (first TAB).
>
> The "something" happens *between* the two, in a sense.
> The intention for the message was to explain the behavior of the second
> TAB rather than to warn about some potential upcoming behavior.

I see.  But I was thinking of another approach: show what completion
style was used after a (successful) completion operation.  (only when
the style was not the first one in completion-styles).

I think it could be a simple way to show the user what's going on.

-- 
Dani Moncayo